#include <cstdlib>
#include <cstring>
#include <iostream>
#include <rdbxx/RDB.h>

int main( int argc, char* argv[] ) {

  if ( 1 < argc ) {
    try {
      char name[256], def[2];
      RDB ordb( argv[1], std::ios::out );

      ordb.setComment( "Foobar..." );

      strcpy( name, "One" );
      strcpy( def, "N" );
      ordb.setColumn( name, def );

      strcpy( name, "Two" );
      strcpy( def, "S" );
      ordb.setColumn( name, def );
      
    } catch ( RDBErr& re ) {
      std::cerr << "RDBErr:" << std::endl << re << std::endl;
      return EXIT_FAILURE;
      
    } catch ( Exception& E ) {
      std::cerr << "Exception:" << std::endl << E << std::endl;
      return EXIT_FAILURE;
      
    } catch ( std::exception& e ) {
      std::cerr << "exception:" << std::endl << e.what( ) << std::endl;
      return EXIT_FAILURE;
      
    } catch ( ... ) {
      std::cerr << "Caught something unexpected..." << std::endl;
      return EXIT_FAILURE;
      
    }
  }

  return EXIT_SUCCESS;
}
